Getting started checklist

Quick Start

This topic includes sections that are noted as only relevant in certain configurations

Getting started checklist

This QuickStart Guide provides the information you need to install and start using Express Software Manager. For more comprehensive help on using Express Software Manager, consult the online help for the component you are using.

The following steps are recommended to help get you started using Express Software Manager.

Before installing:

  • Review the requirements for installing Express Software Manager at http://www.expressmetrix.com/products/system-requirements/.

  • Locate an email message from Cherwell Software that outlines the installation process and provides login credentials.

  • Familiarize yourself with the components of the product and plan where to install each of them.

  • Analyze your network for any pre-installation issues.

  • Upgrading customers: You can upgrade all components to this version from versions 10.0 and later. When upgrading to this version, you can use the same Express Database as in your current installation. As a precaution, you should back up your Express Database before proceeding as suggested by the Setup application.

Installing server components:

  • Refer to the email message you received from Cherwell Software for complete installation instructions.

  • If you are installing all components on one server, see Installing all components on one Windows server for help with the process. If you are installing server components to different servers, see Installing components to different machines for help with the process.

After installing:

The first time you run the Express Administrative Console, the Setup Wizard starts and walks you through the steps to perform several common tasks. You can also use the Setup Checklist for help getting the most out of your use of Express Software Manager.

If you plan to use CSM authentication at your site, please see the Using CSM Authentication document for all background information and procedures for using CSM authentication with Express Software Manager.

For more information on using Express Software Manager after installation, see the online help file that accompanies the Express Administrative Console.

Hosted installations; [image] On-premises installations; [image] CSM authentication; [image] ESM authentication

©2015 Cherwell Software, LLC. All rights reserved.


Components of Express Software Manager

This topic includes sections that are noted as only relevant in certain configurations

Components of Express Software Manager

Component

Where to install

Express Administrative Console—The primary user interface for configuring and administering Express Software Manager. You can also use the Express Administrative Console to install the Express Client on client machines.

Express Server—A collection of server-resident components that sits between the administrative component and the data store. These components provide the management functionality presented in the Express Administrative Console.

System administrator’s machine, and on any machines where you plan to allow other administrators to have full or limited permissions.

See the online Help that accompanies the Express Administrative Console for information on user policies if you plan to have multiple administrators.

User access is controlled from within Cherwell Service Management. See he Using CSM Authentication document for background information and procedures for using CSM authentication with Express Software Manager.

Express Database—The data store that holds inventory and usage data from client machines, and stores its data in a Microsoft SQL Server 2005 or above format. Reports are generated from the data in the Express Database.

Windows 2008 Server or above with Microsoft SQL Server 2005 or above (including Express editions). SQL Server 2008 Express Edition is provided with the product and can be installed on a machine running Windows Vista or above for evaluation purposes.

Refer to the email message you received from Cherwell Software for instructions on installing the Express Database.

Reports Web Site—A Web site that presents Express Software Manager data in reports you can view, filter, and save.

Windows 2008 Server or above with Microsoft Internet Information Services (IIS).

Note: For evaluation purposes, the Express Reports Web Site may be installed on a machine running Windows Vista or above.

Refer to the email message you received from Cherwell Software for more information on all web applications (Express Reports Console, Express Purchasing Console, Express License Analytics Console, and the authentication service).

Express Access Point—A conduit that facilitates communications between the client machines and the Express Database. The access point is a Web service that runs under Microsoft Internet Information Services (IIS).

Windows 2008 Server or above with Microsoft Internet Information Services (IIS). Note: For evaluation purposes, the Express Access Point may be installed on a machine running Windows Vista or above.

Refer to the email message you received from Cherwell Software for instructions on installing the Express Access Point proxy service.

Express License Analytics Console—A Web application where you can view license analytics information.

It's recommended that you install on the machine that runs the Express Reports Console.

Express Purchasing Console—A Web-based application for tracking your organization's purchasing and licensing information.

Windows 2008 Server or above with Microsoft Internet Information Services (IIS). For evaluation purposes, the Express Purchasing Console may be installed on a machine running Windows Vista or above.

Express Connector—An add-on to Express Software Manager that allows you to utilize data collected by Microsoft’s SCCM product.

Any machine capable of running the Express Administrative Console or Express Server.

Express Client—The software that gathers inventory and software usage data from client machines. The clients pass this data to the Express Access Point, which writes the data to the Express Database.

Any machine running Windows Vista or above, or any server running Windows 2003 Server or above.

Hosted installations; [image] On-premises installations; [image] CSM authentication; [image] ESM authentication


Pre-installation considerations

Pre-installation considerations

There are some general issues to consider before you install Express Software Manager and deploy it to your entire organization or group. These factors will help you think about the best way to plan your installation and deployment.

  • Network environment—Gather information such as the network operating system and version used; the network topology; the number of servers, workstations, sites, and users; and if there is a multi-user Windows environment (for example, Citrix or Terminal Server).

  • Workstation characteristics—Consider such factors as the workstation operating system, the networking client, if there is a corporate standardized desktop, whether applications are loaded on the workstation or run from the network, what administrative rights Windows users have, and how remote users connect to the network.

  • Deployment schedule—Test Express Client deployment first with a group of 25 or so workstations. Once you are sure your deployment will go smoothly, deploy to groups of 50 to100 users a day.

  • Ongoing administration—Express Software Manager requires ongoing maintenance and administration to perform optimally and continue to provide you with the information you need. Identify the ongoing administration tasks for your installation and who will be responsible for performing them.


Installing components to different machines

This topic applies to: ● On-premises installations

Installing components to different machines

Before installing Express Software Manager, make sure you review the requirements for running the product, the components of the product, and your network. Also determine where to install each component before you proceed.

If you want to install different server components to different machines or use an existing SQL Server instance, follow the procedure below. Note that all components, except the Express Administrative Console and Express Server, should be installed to machines running Windows Server; the Express Administrative Console and Express Server can be installed to a machine running Windows Server or Workstation.

To install components to different machines:

  1. From the machine where you want to install the Express Database, open esm.zip and extract the esm1200 folder from it.

  2. From the esm1200 folder, run esmsetup.exe.

  3. Select Normal Install and click Next.

  4. Select all the components you want to install on the server; as noted, you should always run Setup on the server where the Express Database will be installed first. Setup verifies that the required Microsoft components are installed on your machine and displays a dialog box that prompts you to install any missing components. Follow the instructions and proceed with the installation.

  5. Continue with the Setup program until finished. You may be prompted to reboot the machine after installation.

  6. Follow steps 1–5 on the other machines where you want to install each remaining component and adjust your selections in the Requirements Check dialog box.

Launching the Express Administrative Console for the first time

Once you have completed installation of all non-client components, you are ready to launch the Express Administrative Console and start using Express Software Manager. If this is a new installation, you will be prompted to enter a license key; you should have received this key via email when you downloaded the Express Software Manager installation package. If you did not receive a key, please contact us at:

http://www.cherwell.com/contact

Enter the license key and click OK to begin using Express Software Manager.


Installing all components on one Windows server

This topic applies to: ● On-premises installations

Installing all components on one Windows server

Before installing Express Software Manager, make sure you review the requirements for running the product, the components of the product, and your network.

This option is most used when evaluating Express Software Manager. To install all Express Software Manager server components on one machine:

  1. From the system administrator machine, open esm.zip and extract the esm1200 folder from it.

  2. From the esm1200 folder, run esmsetup.exe.

  2. Setup verifies that the required Microsoft components are installed on your machine and displays a dialog box that prompts you to install any missing components.

  3. Select Single Server Install and follow the prompts in the subsequent dialog boxes, specifying the information required to perform the installation. The Single Server Install option includes installation of an \ESM instance of SQL Server Express to host the Express Database; if you want to use an existing SQL Server instance, you should use the Normal Install option instead (see below).

  4. Continue with Setup until the installation is completed. You may be prompted to reboot your machine at the end of the installation.


Installing/upgrading the Express Client

Installing/upgrading the Express Client

When starting the Express Administrative Console, you are prompted to run the Setup Wizard to install the Express Client and perform several tasks to get Express Software Manager and running. This topic describes how to install or upgrade the Express Client outside of the Setup Wizard.

In order to inventory and/or meter machines in your network, you need to install the Express Client on each of them.

Installing the Express Client on machines

There are three ways you can install the Express Client on machines:

  • Use the Express Administrative Console to discover machines on your network and then install to discovered machines. This is the simplest method and is described next.

  • Use the Express Administrative Console to specify machines using their IP addresses. Click here for details.

  • Install the client manually or use another installation tool. Click here for details.

Installing the Express Client from the Express Administrative Console

To install the Express Client to machines from the Express Administrative Console:

  1. Start the Express Administrative Console.

  2. Go the Machines panel.

  3. From the Tools menu, click Discover Machines and Users. You are prompted to select either Domain or Active Directory discovery.

  4. When the discovery process is complete, press F5 or click Refresh to refresh the Machines panel.

  5. Select the machine(s) on which you want to install the client.

  6. Right-click your selection and select Install/Update Express Client from the context-sensitive menu. The Install/Update Express Client dialog box opens.

  7. Select which Express Access Point these clients should report to and enter the appropriate login credentials for installing the client.

  8. If you are upgrading to a new version of the Express Client, mark the Overwrite existing installations check box. Otherwise, keep this check box clear.

  9. Click Install.

Installing the Express Client using machine IP addresses

To install the Express Client to machines by their IP addresses:

  1. Start the Express Administrative Console from the system administrator machine.

  2. From the Machine menu, select Install/Update Express Client, and then click either Single Machine or Multiple IP Addresses.

    • If you are installing to a single machine, specify the machine's name or IP address

    • If you are installing to multiple machines, specify an IP subnet and then click Display to get a list of machines from which to select.

  3. Specify which Express Access Point the selected machine(s) will report to, and enter the appropriate credentials.

  4. If you are upgrading to a new version of the Express Client, mark the Overwrite existing installations check box. Otherwise, keep this check box clear.

  5. Click Install.

Installing the Express Client using a command

There may be cases where you do not want to or can't install the Express Client to machines from the Express Administrative Console; for example, you may already use a third-party installation tool or have machines that are not connected to the network.

Note: You must have local administrative rights in order to install or uninstall the Express Client. Typically, a domain administrator has local administrator rights on all computers.

The Express Client is provided as a normal MSI installation package which can be installed directly or via any third-party installation tool. To install the client manually (where no previous version of the client is installed), you'll need to have the installation package available. The installation package file is available on the machine on which the Express Server is installed. By default, it is in one of the following folders:

On 32-bit machines: C:\Program Files\Express Metrix\Express Administrative Console\ClientInstallPackage\Windows
On 64-bit machines: C:\Program Files (x86)\Express Metrix\Express Administrative Console\ClientInstallPackage\Windows

Once you find this file, do the following:

  1. Copy the ClientInstallPackage folder to a shared location where the Setup program will run.

  2. Run the Setup.exe file as an administrator.

  3. Enter the Express Access Point URL to which the client will report using this format:

http://<ap-machine>/expresssoftwaremanagerap/clientservices.asmx

Note: <ap-machine> is the machine on which the Express Administrative Console is installed.

  4. Select Complete and install the client.

Updating/upgrading the Express Client on machines

It's recommended that you upgrade client machines to the current version when possible. To see which version of the Express Client is available, see the Express Today page. This page also tells you how many machines are running older versions of the client. Pre-10.0 versions of the Express Client are not supported.

Tip: You can automate the upgrade process. See "How to set up the client self-upgrade feature" in the help that accompanies the Express Administrative Console for details.


Express Software Manager product documentation

Express Software Manager product documentation

For a list and description of each Express Software Manager console and their Help systems, please visit:

http://www.expressmetrix.com/support/esm/product-help/


Tips for evaluating Express Software Manager

Tips for evaluating Express Software Manager

Express Software Manager includes several features designed to help you evaluate the product, including a Setup Wizard to help you get started and the Setup Checklist to help you better understand the wide range of features the product provides.

You can also view a set FAQs and other resources at the support web page:

http://support.expressmetrix.com

A test deployment of Express Software Manager

It is extremely useful to deploy Express Software Manager to a test group of machines prior to a complete company deployment. A test deployment lets you:

  • Test on organization-specific applications.

  • Test in the organization’s environment.

  • Become familiar with Express Software Manager and all of its components.


Moving from an evaluation to a production environment

This topic includes sections that are noted as only relevant in certain configurations

Moving from an evaluation to a production environment

During evaluation, all Express Software Manager non-client components are often installed on a single server, on premises. Once you have completed your evaluation, you may want to move one or more of these components to other machines or, depending on the size and network topology of your organization and the people involved in your software asset management processes, install additional Express Access Points or instances of the Express Administrative Console and Express Server.

The process of moving to a production installation varies widely depending on how you set up your evaluation and whether you are changing to a hosted environment or going from ESM authentication to CSM authentication.

See the Using CSM Authentication document for background information and procedures for using CSM authentication with Express Software Manager.

This topic presents basic guidelines for moving from an evaluation installation to a production one.

Refer to the email you received from Cherwell Software for more information on setting up your environment.

Before starting the processes described below, you should take a few minutes to plan your production system. Express Software Manager gives you great flexibility in where each of its non-client components is installed. Where you install depends on the number of clients, your server(s) hardware, and your network topology. Here are some general guidelines:

  • A server running full SQL Server is recommended for most installations above 500 seats. SQL Server provides more extensive tools and greater scalability than SQL Server Express and your system will perform better and be easier to maintain.

  • You will need a machine running a server version of Windows (Windows 2008 Server or above) to host the Express Database, Express Access Point, Express Reports Console, Express Purchasing Console, and Express License Analytics Console components. (Workstation installations of IIS do not allow enough simultaneous connections to manage anything other than a small evaluation installation.)

  • An Express Software Manager installation consists of a single Express Database ( [image] and a single Cherwell Service Management database in hosted installations). Depending on the size of your installation and where your clients are located, you may wish to install one or more [image] Express Access Points or [image] Express Access Point proxy to best facilitate client communication.

  • It's recommended that you install the Express License Analytics Console on the same machine as the Express Reports Console.

In most environments, you should install the Express Server on the same machine(s) running the Express Administrative Console. This provides the best performance in transferring data between these two components.

If you used the Single Server Install option in Setup, one likely change you’ll want to make is to move to full SQL Server. To do this, you can either:

  • Start with a new Express Database: Run Setup on your production SQL Server to create the new Express Database. (If your production database is on the same machine, but just uses a different SQL Server instance, you need to uninstall the Express Database component and reinstall it to the new SQL Server.) In this situation, you will lose all your evaluation data.

  • Back up your evaluation database and restore it to a different SQL Server. In this situation, you will retain your existing evaluation data moving forward.

In either case, you need to make changes to the four web applications (Express Access Point, Express Purchasing Console, Express Reports Console, and Express License Analytics Console) configuration files to point to the new database. Further, when you next launch the Express Administrative Console, you need to:

  1. Open the Tools/Connection/Express Database dialog box and provide the Express Server with the new database information.

  2. Restart the Express Administrative Console.

  3. Reenter your license key.

If you choose to reinstall any of the web application components, you will be prompted for the database location as a part of that installation process. However, as noted above, for any that are not reinstalled, you’ll need to update their configuration files. For details, see Technical Note 2023 on the support web page, which is available at:

http://support.expressmetrix.com

If you reinstall the Express Access Point, you also need to update any clients to specify its new location. You can do this from within the Express Administrative Console:

  1. Click on Machines to view the Machines panel; then, click the Installed node in the tree on the left to view a list of machines on which the client is installed.

  2. Select all machines, right-click your selection, and choose Installed/Update Express Client.

  3. Make sure the new Access Point URL is shown in the drop-down list.

  4. Make sure the Overwrite existing installations checkbox is left unchecked.

  5. Provide the required credentials.

  6. Click Install.

This will not reinstall Express Clients; rather, it will update the Express Access Point information each client uses to communicate with the Express Database.

These instructions are not exhaustive; they do not cover every possible scenario, but should give you a general sense of how to go about implementing your production system. Once you've moved to a production installation, you can clean up your evaluation environment.

Hosted installations; [image] On-premises installations; [image] CSM authentication; [image] ESM authentication


After moving from an evaluation to a production environment

After moving from an evaluation to a production environment

This topic describes some tasks to perform when to clean up your evaluation environment after you roll out Express Software Manager to your production environment.

Deleting the original evaluation Express Database

If you choose to redeploy your Express Software Manager system to a new database or you restored your evaluation database to a production SQL Server, you may safely delete the original evaluation Express Database. To remove a database you are no longer using, use SQL Server Management Studio to issue the following SQL command to the database server on which the database was installed:

DROP DATABASE <database-name>

You must access the database server using administrator credentials to perform this operation. Alternately you can use the OSQL tool and issue the following command:

osql.exe /S <database-server> /U <admin-username>

/P <admin-password> /Q "DROP DATABASE <database-name>"

where:

<database-server> the name of the machine on which your evaluation database is installed

<admin-username> the SQL Server administrator account, normally "sa"

<admin-password> the administrator account password

<database-name> the name of your evaluation Express Database

Uninstalling SQL Server Express

If you performed a single server install, you may also want to uninstall SQL Server Express from the machine you used for your evaluation. Other vendors do use SQL Server within their applications, so make sure that it is not being used by any other programs before uninstalling.

Uninstalling Express Software Manager components

If you've moved other Express Software Manager components to other machines, you may want to uninstall those components from the evaluation machines.